Search for _process_

  1. Search 7.x for _process_
  2. Search 8.9.x for _process_
  3. Search 10.3.x for _process_
  4. Search 11.x for _process_
  5. Search main for _process_
  6. Other projects
Title Object type File name Summary
rdf_preprocess_image function core/modules/rdf/rdf.module Implements hook_preprocess_HOOK() for image.html.twig.
rdf_preprocess_node function core/modules/rdf/rdf.module Implements hook_preprocess_HOOK() for node templates.
rdf_preprocess_taxonomy_term function core/modules/rdf/rdf.module Implements hook_preprocess_HOOK() for taxonomy term templates.
rdf_preprocess_user function core/modules/rdf/rdf.module Implements hook_preprocess_HOOK() for user templates.
rdf_preprocess_username function core/modules/rdf/rdf.module Implements hook_preprocess_HOOK() for username.html.twig.
ReferenceBase::defineValueProcessPipeline function core/modules/migrate_drupal/src/Plugin/migrate/field/ReferenceBase.php Apply any custom processing to the field bundle migrations.
Registry::mergePreprocessFunctions function core/lib/Drupal/Core/Theme/Registry.php Merges the source hook's preprocess functions into the destination hook's.
Registry::postProcessExtension function core/lib/Drupal/Core/Theme/Registry.php Completes the theme registry adding discovered functions and hooks.
Registry::processExtension function core/lib/Drupal/Core/Theme/Registry.php Process a single implementation of hook_theme().
RegistryLegacyTest::testSuggestionPreprocessFunctions function core/tests/Drupal/KernelTests/Core/Theme/RegistryLegacyTest.php Tests the theme registry with theme functions with suggestions.
RegistryTest::providerTestPostProcessExtension function core/tests/Drupal/Tests/Core/Theme/RegistryTest.php Provides test data to ::testPostProcessExtension().
RegistryTest::testPostProcessExtension function core/tests/Drupal/Tests/Core/Theme/RegistryTest.php @covers ::postProcessExtension[[api-linebreak]]
@covers ::completeSuggestion[[api-linebreak]]
@covers ::mergePreprocessFunctions[[api-linebreak]]
RegistryTest::testSuggestionPreprocessFunctions function core/tests/Drupal/KernelTests/Core/Theme/RegistryTest.php Tests the theme registry with suggestions.
RenderElement::processAjaxForm function core/lib/Drupal/Core/Render/Element/RenderElement.php Form element processing handler for the #ajax form property.
RenderElement::processGroup function core/lib/Drupal/Core/Render/Element/RenderElement.php Arranges elements into groups.
RenderElementHelper::processElement function core/modules/inline_form_errors/src/RenderElementHelper.php Process all render elements.
RenderTest::testDrupalRenderThemePreprocessAttached function core/tests/Drupal/KernelTests/Core/Render/RenderTest.php Tests theme preprocess functions being able to attach assets.
RenderTest::testProcessAttached function core/tests/Drupal/KernelTests/Core/Render/RenderTest.php Tests that we get an exception when we try to attach an illegal type.
RequestSanitizer::processParameterBag function core/lib/Drupal/Core/Security/RequestSanitizer.php Processes a request parameter bag.
RouteNoneTest::testProcessOutbound function core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteNoneTest.php Tests the output process.
RouteProcessorCsrf class core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Processes the outbound route to handle the CSRF token.
RouteProcessorCsrf.php file core/lib/Drupal/Core/Access/RouteProcessorCsrf.php
RouteProcessorCsrf::$csrfToken property core/lib/Drupal/Core/Access/RouteProcessorCsrf.php The CSRF token generator.
RouteProcessorCsrf::processOutbound function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Processes the outbound route.
RouteProcessorCsrf::renderPlaceholderCsrfToken function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php #lazy_builder callback; gets a CSRF token for the given path.
RouteProcessorCsrf::trustedCallbacks function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Lists the trusted callbacks provided by the implementing class.
RouteProcessorCsrf::__construct function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Constructs a RouteProcessorCsrf object.
RouteProcessorCsrfTest class core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php @coversDefaultClass \Drupal\Core\Access\RouteProcessorCsrf[[api-linebreak]]
@group Access
RouteProcessorCsrfTest.php file core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php
RouteProcessorCsrfTest::$csrfToken property core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php The mock CSRF token generator.
RouteProcessorCsrfTest::$processor property core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php The route processor.
RouteProcessorCsrfTest::setUp function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php
RouteProcessorCsrfTest::testProcessOutbound function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with a _csrf_token route requirement.
RouteProcessorCsrfTest::testProcessOutboundDynamicOne function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with a dynamic path and one replacement.
RouteProcessorCsrfTest::testProcessOutboundDynamicTwo function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with two parameter replacements.
RouteProcessorCsrfTest::testProcessOutboundNoRequirement function core/tests/Drupal/Tests/Core/Access/RouteProcessorCsrfTest.php Tests the processOutbound() method with no _csrf_token route requirement.
RouteProcessorCurrent class core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php Provides a route processor to replace <current>.
RouteProcessorCurrent.php file core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php
RouteProcessorCurrent::$routeMatch property core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php The current route match.
RouteProcessorCurrent::processOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php Processes the outbound route.
RouteProcessorCurrent::__construct function core/lib/Drupal/Core/RouteProcessor/RouteProcessorCurrent.php Constructs a new RouteProcessorCurrent.
RouteProcessorCurrentIntegrationTest class core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php Tests the <current> route processor.
RouteProcessorCurrentIntegrationTest.php file core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php
RouteProcessorCurrentIntegrationTest::$modules property core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php Modules to enable.
RouteProcessorCurrentIntegrationTest::$urlGenerator property core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php The URL generator.
RouteProcessorCurrentIntegrationTest::setUp function core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php
RouteProcessorCurrentIntegrationTest::testProcessOutbound function core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php Tests the output process.
RouteProcessorManager class core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Route processor manager.
RouteProcessorManager.php file core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php
RouteProcessorManager::$outboundProcessors property core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Holds the array of outbound processors to cycle through.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.